summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUltrabug <ultrabug@gentoo.org>2019-05-08 13:26:13 +0200
committerUltrabug <ultrabug@gentoo.org>2019-05-08 13:26:13 +0200
commit49873fb1c5c9a318c7d564c357f68f5a69a707f3 (patch)
tree643056ed45c1c3eee8ffa278406e8e3ac626cc65
parentapp-admin/scylla-tools: detect network-sandbox FEATURE (diff)
downloadultrabug-49873fb1c5c9a318c7d564c357f68f5a69a707f3.tar.gz
ultrabug-49873fb1c5c9a318c7d564c357f68f5a69a707f3.tar.bz2
ultrabug-49873fb1c5c9a318c7d564c357f68f5a69a707f3.zip
dev-db/scylla: version bump
Package-Manager: Portage-2.3.65, Repoman-2.3.12 Manifest-Sign-Key: F30FAFEE3BD598228B24CB121A3A8C89C56D610B Signed-off-by: Alexys Jacob <ultrabug@gentoo.org>
-rw-r--r--dev-db/scylla/Manifest28
-rw-r--r--dev-db/scylla/scylla-3.0.6.ebuild296
2 files changed, 311 insertions, 13 deletions
diff --git a/dev-db/scylla/Manifest b/dev-db/scylla/Manifest
index 7b45609..85ccc77 100644
--- a/dev-db/scylla/Manifest
+++ b/dev-db/scylla/Manifest
@@ -11,6 +11,7 @@ DIST fmt-f61e71ccb9ab253f6d76096b2d958caf38fcccaa.tar.gz 616708 BLAKE2B e71c4ff6
DIST libdeflate-e7e54eab42d7fd3c684cfe8278084fc354a2455a.tar.gz 123934 BLAKE2B 430eba5f7f6b751d01964198d93ca3683c0131f41964b871c3c2872932f76f35d88dce4df1ac80b03f5719d618d0965097831fe8f12cb0bf0d8233129aad070b SHA512 7f63b71a2e29e6c5cbdb6d18c75122f2d54cc52e09cbce6694db9f76812c03757d1222c219bbd8a10a7d42ea2086d6641505b3385016345b2cb9b034848de1c7
DIST scylla-2.3.1.tar.gz 6249801 BLAKE2B 4d2ee126c2d73e0a4e9237f11141036262d4b7df7b9a359c9323f8f28f415862529977608861c48eb708bd132a360bdd5e459398d31dc6c289e9e84769fb8c2c SHA512 edb558981798caa6d8956ab0c8903b4a0dbd8bf7a2a73f075f0cbc20e69d860113faec6bd988b58d67abb86f9361f9fe6ca76e15b9b0a04fdb02afe05a1562dd
DIST scylla-3.0.5.tar.gz 5820908 BLAKE2B 1d29eb4a05f95104f0d774e9631532975678622c18055051535af075b938e79827fb30847f0d678ffaed56976ed930a626906e8d9eb54ecbe6c98988ce0e5c00 SHA512 7f2786529f34c93e381fb317856c230d0acbb638540835e8cab5682b635776465061c491a2526837e2a3d97398a3e7c738f3aa349864220f02a5fae84a841727
+DIST scylla-3.0.6.tar.gz 5821068 BLAKE2B 3f60f6332f721f80f8fbdf6284971e5d8569a1eba9d404f2741dedc03b6abcd40aea8e1605574f6be5edbaac4938622fd8758c0231e90c10d02b459bf2769018 SHA512 d5afa946bd81d5ce17e1d7a3474461a53a94ba665bd82e9774707a153ee584a685ff552d1835cfb1a5cf2558a55d5ded184b4f21af7e95e6ab5161d9fbf3498e
DIST scylla-ami-a425887809d281beb39297903198ee1a77a1065e.tar.gz 11221 BLAKE2B 2831a9b0a62e9a740b09f0bee32fd10165b8a419327c92c8299fe385ca8c378795fe109b4da73b50f64df0c1319550e0b45245ff1f74c5bf935add5c209adec4 SHA512 a0438a861ee98248bc0e7a51e85dcbac3f62d9c02111e9401ecbcb32c789f38b58d44200ed8501b6ec68db4ac4ecd166bcc46ff7cdf4cc940012b78033678745
DIST scylla-swagger-ui-1b212bbe713905aac22af1edb836f5cf8cc39cc2.tar.gz 1372033 BLAKE2B 5f358f44051a2fa9a10d83fce9cab9e57b56505c4270f089a4d12aaa4e9c45a205665b342a0abb5cf314a9fd24b4186f3a176c58328cc627edc73cc854a30079 SHA512 c726a4dac73d3e9d16624727f4f0703688b7205783c627dd7b88b688b165c9055a1884cf7e9987d8c235d3fa470578852a951e34819431aec12059988394da99
DIST seastar-b846dfe25298ef08684604aaa77ff77873ebef39.tar.gz 840995 BLAKE2B a289fbe5462b622b60572a375f0f5da49aeb7f69be279c5b6bc98362cb9eb87e32c69b8978000368e53af949bdc33c1b87fdcc7b568f3801460f2b0413b6116e SHA512 c00ec8662bb8e806b9fc4bc0e4c7aa628f97227312eb5bd64a1697814e1bb6f1791b70649e87e44fd2df24aa81b2c13ccd71df68b60e365c29fe425f85a46491
@@ -18,24 +19,25 @@ DIST seastar-f541231a3011420e26fb33e71355415334dcb861.tar.gz 849465 BLAKE2B 0547
DIST xxhash-744892b802dcf61a78a3f2f1311d542577c16d66.tar.gz 29205 BLAKE2B 594f09421030809ed456ba7af906adfbf1243f7ded4161e7777ec2ef2b9ab24c653923f784a2e00b22731be0378aea76263e39614941432cb0128d972e9ff488 SHA512 f94b1b19d1c232c2e59058514be34ee169f2f11722a088ab401a38dcd75ae693bb0fbe87180060207ebff29f7b3c2a4444db54e4f57c61cac0438c4db1f118f3
EBUILD scylla-2.3.1.ebuild 8840 BLAKE2B e209110f9ffb72b5a8320e9040be66ad19f55b73b0732aeff1c4782d7879121dc4d3d36e1d78e3c36233eceb33a13df24d61503bfda26bc4a0f5a3b1bcc9d323 SHA512 fcd3a72a067c0795359aef7dbe067bff0d85d9688c7326f28bb95487b536c2557f22a5b7a80cb0ca4464ecf6ab85ceda72bd8c1e3d81edb9f7b8c28369923605
EBUILD scylla-3.0.5.ebuild 9030 BLAKE2B a8ac0f6fef3c5b096a8df627c2bd3cb25374214883e655618a2308e6a0652970c2c60d2b48fae42fffd3374189c96441d8cc0c4c7ee5359d500ffe2352058c28 SHA512 87b9fe1aabaedac861fd6868e65501f6e08b75450fa801ba760d0125666445b97cab10683dd07eab7b988d2520d471458ecb5cb867d8822f7ac6d1fe50cb8986
+EBUILD scylla-3.0.6.ebuild 9030 BLAKE2B a8ac0f6fef3c5b096a8df627c2bd3cb25374214883e655618a2308e6a0652970c2c60d2b48fae42fffd3374189c96441d8cc0c4c7ee5359d500ffe2352058c28 SHA512 87b9fe1aabaedac861fd6868e65501f6e08b75450fa801ba760d0125666445b97cab10683dd07eab7b988d2520d471458ecb5cb867d8822f7ac6d1fe50cb8986
EBUILD scylla-9999.ebuild 8703 BLAKE2B 3ccdc0dc1493fa3d88b8d1d151f495d393bde6e69f43b96fe5c84c8e3f433a1251fb59f4af0715fa9cdbcdc37568a4b06c0676dc305637f13a07eaa12494a49a SHA512 e2bd764db2886024e2b83a11c1bc78056dc88476af107435be3220cf8471baa7379fb569781a920ad2e822562375f24bd3d1df328be21cb86642543996590a78
MISC metadata.xml 249 BLAKE2B 40afa233e18ae5678e52194be8b1235d8deda4810e55b33ea192ded6b09a158f1bc941544f90a1b9e396db00bc0fe277c072d267568473ae4aa2dec8bc5c2f89 SHA512 6eae78a65db44c8f7ef2d20c10c8612cd2072c0204c6294798e4bf94f1283c684c22d1ad28e0f68e78e82a0c60526d6786492c9dacc438d83405218e51c1bf9c
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQKTBAEBCAB9FiEEGiPLJcoPPNcvDvnY9mwK1B9ohkIFAly2zX9fFIAAAAAALgAo
+iQKTBAEBCAB9FiEEGiPLJcoPPNcvDvnY9mwK1B9ohkIFAlzSvNNfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDFB
MjNDQjI1Q0EwRjNDRDcyRjBFRjlEOEY2NkMwQUQ0MUY2ODg2NDIACgkQ9mwK1B9o
-hkJVBg/+JlC8sARce0GLsKTDomacetDs8CjBsvY4NVQNgPxbJ/mjq2okpGgB5hBS
-UPUT95rzLqsPSPNxIzN+f5P+yHZC8f76rgze2J9pvat130i9TOtQmoZIsgqNPGVh
-qB7tfWT8BZy4cEp9GrN1dLMn96p7wGR8whcefIT9/IDhVChneREmTyRwofP2IFII
-vrlh3ZQRFXhoagj2muFELKj7J9ReMsqxqIQAkOMYVbKiAX42fE/clzK1iLV3Ja75
-3C+VU76C37Wi2+PIrSj+djO+T69loHj9lcyMb9OA2AjPhTBzsp6a1PB8o1Fs/X+y
-JsBv24aYwrcBw2kFymiwW7rCSbGv2pBJ5NmDCENR+3ksFTvezXUpx62jqaDIC3oz
-YKjtnRXoWdoeWHTf+50tGDScAHJKfUz/5g92kKIab+79vqgy4UUv8zCJtRgVAyL8
-Wn4aFTaoexpAH6EGVOSpScijrpTSHMJN/2nzT9ho9X07/j5xfwKk4RItiV4ML7vF
-h04YhSEWwP6fEnORtfwiLCh4jHOyjfZkFY3ozvhMiYZU+n/nNRANzfH3jZ52aHR2
-3WCvVjVq9FpKYkAXfIfC9u3SG6AEdDAqX0XPk6DiAoagEa2XQLOBvj6HoG0yiMa1
-Nni1IjIDan20RiUUpIgRMN2/BkRCTD2ixqN7D6tCtPr7uotnlgI=
-=W18G
+hkLlCw//aKLwIIvd5w/TAe8y9xpHYDz5g8GeVL6azUuoAylNc11u+/WU1PzCHhMO
+qAYnBg4n5/BHnVnJjwX1WmNP0Sh+7WLtQQUvA+a8pMMcz7k5b1ODOK9PYAOUXZwg
+B/2GACZ4YOTHsANUEbO9sbCJ6pTBbSUII0L31o08CqF1m4ppSXz5b5vk785OHbmq
+oETGfCB6jQ+IG1+vTmMIMbideUxBBd21SykhZt83MNSlkmt/2mxsvu7XVyKwfUQk
+TwzlQN9TQBFJlfYOVO0/zJJs5HMJokY6IZ1LxWR1tTIXbU5LMTDxWmaX/fh3hxCt
+20IXrwalcZ6pX+zOSztBIFF8ZQ916KKJY08QvU7OcCAqJaTSRnxVbEfhqC3g2ezB
+3ckzJfMrujV4QzFcLYW01LZN0vE4eac07yR7JN9gLJu5Al7KseWFHjSpZR1Jj+Vz
+p8w/x6r24Wx+Ra+xy1GMeQhRtIH3O1S8Kjm4OZhzJqyW/PQTKeBIn1lCUj4GmZ9d
+qmnFeiaNDtbTCpRLNUAIaatzsFUxEAE35TEdkYot9BksjGH8ffTQzY05o6wEe6T2
+ih9WNBX17OlITUCRDcV0mL/lNiHbYWBHOMKDYWlUIBPJrTfkLDelOsaPwYQTGI19
+G2eqWEMdZUezSWAhuc2Qm5EY8fszwdf+rIEVF1DRaSJzZamsxYM=
+=jGZD
-----END PGP SIGNATURE-----
diff --git a/dev-db/scylla/scylla-3.0.6.ebuild b/dev-db/scylla/scylla-3.0.6.ebuild
new file mode 100644
index 0000000..dd97312
--- /dev/null
+++ b/dev-db/scylla/scylla-3.0.6.ebuild
@@ -0,0 +1,296 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} == "9999" ]] ; then
+ #EGIT_COMMIT="scylla-"
+ EGIT_REPO_URI="https://github.com/scylladb/scylla.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/.rc}"
+ MY_P="${PN}-${MY_PV}"
+ C_ARES_COMMIT="fd6124c74da0801f23f9d324559d8b66fb83f533"
+ FMT_COMMIT="f61e71ccb9ab253f6d76096b2d958caf38fcccaa"
+ LIBDEFLATE_COMMIT="e7e54eab42d7fd3c684cfe8278084fc354a2455a"
+ SEASTAR_COMMIT="f541231a3011420e26fb33e71355415334dcb861"
+ SWAGGER_COMMIT="1b212bbe713905aac22af1edb836f5cf8cc39cc2"
+ XXHASH_COMMIT="744892b802dcf61a78a3f2f1311d542577c16d66"
+ SRC_URI="
+ https://github.com/scylladb/${PN}/archive/scylla-${MY_PV}.tar.gz -> ${MY_P}.tar.gz
+ https://github.com/scylladb/scylla-seastar/archive/${SEASTAR_COMMIT}.tar.gz -> seastar-${SEASTAR_COMMIT}.tar.gz
+ https://github.com/scylladb/scylla-swagger-ui/archive/${SWAGGER_COMMIT}.tar.gz -> scylla-swagger-ui-${SWAGGER_COMMIT}.tar.gz
+ https://github.com/scylladb/fmt/archive/${FMT_COMMIT}.tar.gz -> fmt-${FMT_COMMIT}.tar.gz
+ https://github.com/scylladb/c-ares/archive/${C_ARES_COMMIT}.tar.gz -> c-ares-${C_ARES_COMMIT}.tar.gz
+ https://github.com/scylladb/libdeflate/archive/${LIBDEFLATE_COMMIT}.tar.gz -> libdeflate-${LIBDEFLATE_COMMIT}.tar.gz
+ https://github.com/scylladb/xxHash/archive/${XXHASH_COMMIT}.tar.gz -> xxhash-${XXHASH_COMMIT}.tar.gz
+ "
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/scylla-${MY_P}"
+fi
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit autotools flag-o-matic linux-info python-r1 toolchain-funcs systemd user
+
+DESCRIPTION="NoSQL data store using the seastar framework, compatible with Apache Cassandra"
+HOMEPAGE="http://scylladb.com/"
+
+LICENSE="AGPL-3"
+SLOT="0"
+IUSE="doc systemd"
+
+# NOTE:
+# if you want to debug using backtraces, enable the 'splitdebug' FEATURE:
+# https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
+#
+# then check out:
+# https://github.com/scylladb/scylla/wiki/How-to-resolve-backtrace
+
+RESTRICT="test"
+
+RDEPEND="
+ <dev-libs/thrift-0.11.0
+ <dev-util/ragel-7.0
+ <sys-apps/hwloc-2.0.0
+ ~app-admin/scylla-jmx-${PV}
+ ~app-admin/scylla-tools-${PV}
+ >=virtual/jdk-1.8.0
+ app-arch/lz4
+ app-arch/snappy
+ dev-cpp/antlr-cpp:3.5
+ dev-cpp/yaml-cpp
+ dev-java/antlr:3.5
+ dev-libs/boost
+ dev-libs/crypto++
+ dev-libs/jsoncpp
+ dev-libs/libaio
+ dev-libs/libxml2
+ dev-libs/protobuf
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+ dev-python/pystache[${PYTHON_USEDEP}]
+ dev-python/pyudev[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/urwid[${PYTHON_USEDEP}]
+ dev-util/systemtap
+ net-libs/gnutls
+ net-misc/lksctp-tools
+ sys-apps/ethtool
+ sys-fs/xfsprogs
+ sys-libs/libunwind
+ sys-libs/zlib
+ sys-process/numactl
+ x11-libs/libpciaccess
+ systemd? ( sys-apps/systemd )
+"
+DEPEND="${RDEPEND}
+ >=sys-kernel/linux-headers-3.5
+ dev-util/ninja
+"
+
+# Discussion about kernel configuration:
+# https://groups.google.com/forum/#!topic/scylladb-dev/qJu2zrryv-s
+CONFIG_CHECK="~NUMA_BALANCING ~SYN_COOKIES ~TRANSPARENT_HUGEPAGE"
+ERROR_NUMA_BALANCING="${PN} recommends support for Memory placement aware NUMA scheduler (NUMA_BALANCING)."
+ERROR_SYN_COOKIES="${PN} recommends support for TCP syncookie (SYN_COOKIES)."
+ERROR_TRANSPARENT_HUGEPAGE="${PN} recommends support for Transparent Hugepage (TRANSPARENT_HUGEPAGE)."
+
+# NOTE: maybe later depending on upstream energy, support DPDK
+# For DPDK, removed HUGETLBFS PROC_PAGE_MONITOR UIO_PCI_GENERIC in favor of VFIO
+# CONFIG_CHECK="~NUMA_BALANCING ~SYN_COOKIES ~TRANSPARENT_HUGEPAGE ~VFIO"
+# ERROR_VFIO="${PN} running with DPDK recommends support for Non-Privileged userspace driver framework (VFIO)."
+
+DOCS=( LICENSE.AGPL NOTICE.txt ORIGIN README.md README-DPDK.md )
+PATCHES=()
+
+pkg_pretend() {
+ if tc-is-gcc ; then
+ if [[ $(gcc-major-version) -lt 7 && $(gcc-minor-version) -lt 3 ]] ; then
+ die "You need at least sys-devel/gcc-7.3"
+ fi
+ fi
+}
+
+pkg_setup() {
+ linux-info_pkg_setup
+ enewgroup scylla
+ enewuser scylla -1 -1 /var/lib/${PN} scylla
+}
+
+src_prepare() {
+ default
+
+ # replace git submodules by symlinks
+ if [[ ${PV} == "9999" ]] ; then
+ # set version
+ local git_commit=$(git log --pretty=format:'%h' -n 1)
+ echo "${PV}-${git_commit}" > version
+ else
+ rmdir seastar || die
+ mv "${WORKDIR}/scylla-seastar-${SEASTAR_COMMIT}" seastar || die
+
+ rmdir seastar/c-ares || die
+ mv "${WORKDIR}/c-ares-${C_ARES_COMMIT}" seastar/c-ares || die
+
+ rmdir seastar/fmt || die
+ mv "${WORKDIR}/fmt-${FMT_COMMIT}" seastar/fmt || die
+
+ rmdir swagger-ui || die
+ mv "${WORKDIR}/scylla-swagger-ui-${SWAGGER_COMMIT}" swagger-ui || die
+
+ rmdir xxHash || die
+ mv "${WORKDIR}/xxHash-${XXHASH_COMMIT}" xxHash || die
+
+ rmdir libdeflate || die
+ mv "${WORKDIR}/libdeflate-${LIBDEFLATE_COMMIT}" libdeflate || die
+
+ # set version
+ echo "${MY_PV}-gentoo" > version
+ fi
+
+ # fix jsoncpp detection
+ sed -e 's@json/json.h@jsoncpp/json/json.h@g' -i json.hh || die
+
+ # QA: no -Werror (tho it does not propagate)
+ sed -e 's/\-Werror//g' -i configure.py || die
+
+ # QA NOTE: respect -O3 as it is upstream recommended
+ # and because we would kill the RAM of the machine with lower optimization
+ # since some files can take up to 8GB of RAM to compile!
+ # sed -e 's/\-O3//g' -i configure.py || die
+
+ # run a clean autoreconf on c-ares
+ pushd seastar/c-ares
+ eautoreconf || die
+ popd
+
+ # I don't agree with the old 4GB of RAM per job, it's more about 8GB now
+ sed -e 's/4000000000/8000000000/g' -i scripts/jobs || die
+}
+
+src_configure() {
+ python_setup
+
+ # copied from dist/redhat/scylla.spec.mustache
+ # we want a package compiled with old kernel headers to
+ # support nowait aio if the user upgrades their kernel
+ if ! grep -qwr RWF_NOWAIT /usr/include/linux; then
+ append-cflags "-DRWF_NOWAIT=8"
+ fi
+ if ! grep -qwr aio_rw_flags /usr/include/linux; then
+ append-cflags "-Daio_rw_flags=aio_reserved1"
+ fi
+
+ # native CPU CFLAGS are strongly enforced by upstreams, respect that
+ replace-cpu-flags "*" "native"
+
+ append-cflags "-Wno-attributes -Wno-array-bounds"
+
+ ${EPYTHON} configure.py --enable-gcc6-concepts --mode=release --with=scylla --disable-xen --c-compiler "$(tc-getCC)" --compiler "$(tc-getCXX)" --ldflags "${LDFLAGS}" --cflags "${CFLAGS}" --python ${EPYTHON} --with-antlr3 /usr/bin/antlr3.5 || die
+}
+
+src_compile() {
+ # we use the provided 'scripts/jobs' to figure out how many parallel
+ # compilation jobs we can sustain
+ einfo "Compiling using $(scripts/jobs) jobs"
+ ninja -v build/release/scylla build/release/iotune -j$(scripts/jobs) || die
+}
+
+src_install() {
+ # NOTE:
+ # I base myself on upstream's install.sh file
+
+ default
+
+ local MUSTACHE_DIST="\"debian\": true"
+ pystache dist/common/systemd/scylla-server.service.mustache "{ $MUSTACHE_DIST }" > build/scylla-server.service
+ pystache dist/common/systemd/scylla-housekeeping-daily.service.mustache "{ $MUSTACHE_DIST }" > build/scylla-housekeeping-daily.service
+ pystache dist/common/systemd/scylla-housekeeping-restart.service.mustache "{ $MUSTACHE_DIST }" > build/scylla-housekeeping-restart.service
+
+ insinto /etc/default
+ doins dist/common/sysconfig/scylla-server
+
+ insinto /etc/security/limits.d
+ doins dist/common/limits.d/scylla.conf
+
+ insinto /etc/scylla.d
+ doins dist/common/scylla.d/*.conf
+
+ insinto /etc/sysctl.d
+ doins dist/common/sysctl.d/*.conf
+
+ insinto /etc/scylla
+ for config_file in scylla.yaml cassandra-rackdc.properties; do
+ doins conf/${config_file}
+ done
+
+ systemd_dounit build/*.service
+ systemd_dounit dist/common/systemd/*.service
+ systemd_dounit dist/common/systemd/*.timer
+
+ exeinto /usr/lib/scylla
+ doexe dist/common/scripts/*
+ doexe seastar/scripts/*
+
+ dobin build/release/iotune
+ dobin build/release/scylla
+ dobin dist/common/bin/scyllatop
+
+ insinto /usr/lib/scylla
+ doins dist/common/scripts/scylla_blocktune.py
+
+ exeinto /usr/lib/scylla
+ doexe dist/common/scripts/scylla-blocktune
+ doexe scylla-housekeeping
+
+ insinto /etc/scylla.d
+ doins conf/housekeeping.cfg
+
+ newinitd "${FILESDIR}/scylla-server.initd" ${PN}-server
+ newconfd "${FILESDIR}/scylla-server.confd" ${PN}-server
+
+ dodoc -r licenses
+
+ for x in /var/lib/${PN} /var/lib/${PN}/{data,commitlog,hints,coredump} /var/lib/scylla-housekeeping /var/log/scylla; do
+ keepdir "${x}"
+ fowners scylla:scylla "${x}"
+ done
+
+ insinto /usr/lib/scylla/swagger-ui
+ doins -r swagger-ui/dist
+
+ insinto /usr/lib/scylla/api
+ doins -r api/api-doc
+
+ insinto /usr/lib/scylla/scyllatop
+ doins -r tools/scyllatop/*
+ fperms +x /usr/lib/scylla/scyllatop/scyllatop.py
+
+ insinto /var/lib/scylla-housekeeping
+ doins -r scylla-housekeeping
+
+ for util in $(ls dist/common/sbin/); do
+ dosym /usr/lib/scylla/${util} /usr/sbin/${util}
+ done
+
+ insinto /etc/sudoers.d
+ doins dist/debian/sudoers.d/scylla
+
+ insinto /etc/rsyslog.d
+ doins "${FILESDIR}/10-scylla.conf"
+
+ if ! use systemd; then
+ insinto /etc/cron.d
+ newins dist/debian/scylla-server.cron.d scylla_delay_fstrim
+ fi
+}
+
+pkg_postinst() {
+ elog "You should run 'emerge --config dev-db/scylla' to finalize your ScyllaDB installation."
+}
+
+pkg_config() {
+ elog "Running 'scylla_setup'..."
+ scylla_setup
+} \ No newline at end of file